#ifndef __MODBUSRTUSLAVE_H
#define __MODBUSRTUSLAVE_H
#include "HC89S003AF4.h"
#include "modbusCRC.h"



//void Modbus_RTU_Init(uchar *rxbuf,uchar *txbuf,void (*f)(uchar len));
void Modbus_RTU_Init(void);
void ModBusRtuSlave_Service(uchar framelen);
void Set_InputIO_Value(u16 index,bit value);
extern ui8 ModBus_Addr;
extern ui8 Modubs_InputIO[2];
extern ui16 Modbus_HoldReg[16];

#endif
